=head1 NAME

Gtk2::GC

=for position DESCRIPTION

=head1 DESCRIPTION

These functions provide access to a shared pool of L<Gtk2::Gdk::GC>
objects. When a new L<Gtk2::Gdk::GC> is needed, I<Gtk2::Gdk::GC::get> is called
with the required depth, colormap and I<Gtk2::Gdk::GCValues>. If a
L<Gtk2::Gdk::GC> with the required properties already exists then that is
returned. If not, a new L<Gtk2::Gdk::GC> is created. When the L<Gtk2::Gdk::GC>
is no longer needed, I<Gtk2::Gdk::GC::release> should be called.

[From: L<http://developer.gnome.org/doc/API/2.0/gtk/gtk-Graphics-Contexts.html>]

=cut




=head1 METHODS

=head2 gc = Gtk2::GC-E<gt>B<get> ($depth, $colormap, $values)

=over

=over

=item * $depth (integer) 

=item * $colormap (Gtk2::Gdk::Colormap) 

=item * $values (scalar) 

=back

=back

=head2 Gtk2::GC-E<gt>B<release> ($gc)

=over

=over

=item * $gc (Gtk2::Gdk::GC) 

=back

=back


=head1 SEE ALSO

L<Gtk2>

=head1 COPYRIGHT

Copyright (C) 2003-2007 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.


=cut

